<?php ?>


<nav class="navbar greynav">
    <div class="container-fluid">
        <div class="navbar-header">

            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar"
                    aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>

            <?php if ($this->request->here == $this->request->base): ?>
            <span class="navbar-brand cdl-navbar-logo">
                    <?= $this->Html->image(
                        "logos/Logo_comptoir_navbar.png",
                        ["alt" => __d("ElementNavigation", "Comptoir du libre")]) ?>
            </span>
            <?php elseif ($this->request->here != $this->request->base): ?>
                <?= $this->Html->link(
                    $this->Html->image("logos/Logo_comptoir_navbar.png",
                        ["alt" => __d("ElementNavigation", "Comptoir du libre")]),
                    ['controller' => 'Home', 'action' => 'index'],
                    ['escape' => false, "class" => "navbar-brand cdl-navbar-logo"]) ?>
            <?php endif; ?>
        </div>

        <!-- /!\ without id = no button working -->
        <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav">

                <?php if ($this->request->isHere("Project")): ?>
                <li class="light-on">
                    <span class="navbar-text text-center"><?= __d("ElementNavigation", "All softwares") ?></span>
            <?php elseif (!$this->request->isHere("Project")): ?>
                <li>
                    <?= $this->Html->link(__d("ElementNavigation", "All softwares"),
                        ['controller' => 'Softwares', 'action' => 'index'],
                        ['escape' => false]) ?>
                    <?php endif; ?>
                </li>

                <?php if ($this->request->isHere("Users")): ?>
                <li class="light-on">
                    <span class="navbar-text text-center"><?= __d("ElementNavigation", "All users") ?></span>
            <?php elseif (!$this->request->isHere("Users")): ?>
                <li>
                    <?= $this->Html->link(__d("ElementNavigation", "All users"),
                        ['controller' => 'Users', 'action' => 'index'],
                        ['escape' => false]) ?>
                    <?php endif; ?>
                </li>

                <?php if ($this->request->isHere("Users", "providers")): ?>
                <li class="light-on">
                    <span
                        class="navbar-text text-center"><?= __d("ElementNavigation", "All service providers") ?></span>
                    <?php elseif (!$this->request->isHere("Users", "providers")): ?>
                <li>
                    <?= $this->Html->link(__d("ElementNavigation", "All service providers"),
                        ['controller' => 'Users', 'action' => 'providers'],
                        ['escape' => false]) ?>
                    <?php endif; ?>
                </li>

                  <?php if ($this->request->isHere("participate")): ?>
                <li class="light-on">
                    <span
                        class="navbar-text text-center"><?= __d("ElementNavigation", "Participate") ?></span>
                    <?php elseif (!$this->request->isHere("contact")): ?>
                <li>
                    <?= $this->Html->link(__d("ElementNavigation", "Participate"),
                        ['controller' => 'Home', 'action' => 'participate'],
                        ['escape' => false]) ?>
                    <?php endif; ?>
                </li>

                <?php if ($this->request->isHere("contact")): ?>
                <li class="light-on">
                    <span
                        class="navbar-text text-center"><?= __d("ElementNavigation", "Contact") ?></span>
                    <?php elseif (!$this->request->isHere("contact")): ?>
                <li>
                    <?= $this->Html->link(__d("ElementNavigation", "Contact"),
                        ['controller' => 'Home', 'action' => 'contact'],
                        ['escape' => false]) ?>
                    <?php endif; ?>
                </li>
            </ul>

            <div>
                <?= $this->Form->create(null, ['url' => ['controller' => 'Request', 'action' => 'softwaresList'], 'class' => "navbar-form navbar-right", 'title' => "requestForm"]) ?>
                <div class="form-group">
                    <?= $this->Form->input('q', ['label' => false]) ?>
                </div>
                <div class="form-group">
                    <?= $this->Form->input('limit', ['label' => 'Nombre de résultats', 'value' => 50, 'type' => 'hidden']) ?>
                </div>
                <div class="form-group">
                    <?= $this->Form->input('offset', ['label' => 'Décallage', 'value' => 0, 'type' => 'hidden']) ?>
                </div>
                <div class="form-group">
                    <?= $this->Form->button(__d("ElementNavigationDefault","Search"), ['class' => 'submit-form search']) ?>
                </div>

                <?= $this->Form->end() ?>
            </div>
        </div>

        <div class="version"><p><?php echo \Cake\Core\Configure::read("VERSION.ribbon")?></p></div>
    </div>

</nav>