<?php

/* * *
 * This template merge all templates containing metrics about a software
 * RISCOSS
 * QSOS
 * OPENHUB
 * Others like a custom one
 */
?>

<section class="metrics row">

    <div class="metric-score col-xs-12 col-sm-12 col-md-12 col-lg-12 align">
        <?php
            /**
             * If metrics are in the database
             */
        ?>

        <?php if (isset($software) && !empty($software->raw_metrics_software) && !empty($software->softwares_statistics)): ?>
        <h2>
            <?= __d("ElementProject", "Metrics for ") ?> <?php echo $this->cell('SoftwareSummary', [$software->id])->render('../../Element/ProjectPage/softwareName') ?>

                <?= $this->Score->prefix(["class" => "", "tag" => "small", "text" => "score : "])?>
            <?= $this->Score->note(isset($software->softwares_statistic->score) ? $software->softwares_statistic->score : null) ?>

        </h2>
    </div>


    <div class="col-xs-11 col-sm-11 col-md-11">
        <h3>
                    <?php echo __d("ElementProject","Componants of SourceMetric"); ?>
        </h3>
        <table class="table table-hover table-bordered">
            <thead>
                <tr>
                    <td>
                        <?php echo __d("ElementProject","Indicator"); ?>
                    </td>
                    <td>
                        <?php echo __d("ElementProject","Raw value"); ?>
                    </td>
                    <td>
                        <?php echo __d("ElementProject","Points"); ?>
                    </td>
                </tr>
            </thead>
            <tbody>
                        <?php foreach ($software->raw_metrics_software as $key => $metric) : ?>
                            <?php if (!in_array($key, ['id', 'name', 'software_id', 'modified', 'created']) && in_array($key, \Cake\Core\Configure::read("SOURCE_CODE_METRICS"))) :
                                ?>
                <tr>
                    <td>
                        <?php echo __d("ElementProject", $key) ?>
                    </td>
                    <td>
                        <?php echo ($metric == "") ? "NA" :  __d("ElementProject", $metric) ;?>
                    </td>
                    <td>
                        <?php
                                echo $software->softwares_statistic->$key ;
                        ?>
                    </td>
                </tr>
                            <?php endif; ?>
                        <?php endforeach; ?>
            </tbody>
        </table>
    </div>
    <div class="col-xs-11 col-sm-11 col-md-11">
        <h3>
                    <?php echo __d("ElementProject","Componants of ComptoirMetric"); ?>
        </h3>
        <table class="table table-hover table-bordered">
            <thead>
                <tr>
                    <td>
                        <?php echo __d("ElementProject","Indicator"); ?>
                    </td>
                    <td>
                        <?php echo __d("ElementProject","Raw value"); ?>
                    </td>
                    <td>
                        <?php echo __d("ElementProject","Points"); ?>
                    </td>
                </tr>
            </thead>
            <tbody>
                        <?php foreach ($software->raw_metrics_software as $key => $metric) : ?>
                            <?php if (!in_array($key, ['id', 'name', 'software_id', 'modified', 'created']) && in_array($key, \Cake\Core\Configure::read("COMPTOIR_METRICS"))) :
                                ?>
                <tr>
                    <td>
                        <?php echo __d("ElementProject", $key) ?>
                    </td>
                    <td>
                        <?php echo ($metric == "") ? "NA" :  __d("ElementProject", $metric) ;?>
                    </td>
                    <td>
                        <?php
                                echo $software->softwares_statistic->$key ;
                        ?>
                    </td>
                </tr>
                            <?php endif; ?>
                        <?php endforeach; ?>
            </tbody>
        </table>
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12">
        <h3>
            <?= __d("ElementProject","Calcul du score"); ?>
        </h3>
        <p>
            <?php
            $total = 0;
            $total = $software->softwares_statistic->last_commit_age + $software->softwares_statistic->project_age 
                    + $software->softwares_statistic->delta_commit_one_month + $software->softwares_statistic->delta_commit_one_year 
                    + $software->softwares_statistic->nb_contributors + $software->softwares_statistic->contributors_code_percent
                    + $software->softwares_statistic->declared_users + $software->softwares_statistic->average_review_score
                    + $software->softwares_statistic->screenshots + $software->softwares_statistic->codegouv_label;
            echo __d("ElementProject","The formula for the score is:") . "</br>";
            echo "( " . $software->softwares_statistic->last_commit_age . " + " . $software->softwares_statistic->project_age . " + " . 
                    $software->softwares_statistic->delta_commit_one_month . " + " . $software->softwares_statistic->delta_commit_one_year . " + " .
                    $software->softwares_statistic->nb_contributors . " + " . $software->softwares_statistic->contributors_code_percent . " + " . 
                    $software->softwares_statistic->declared_users . " + " .  $software->softwares_statistic->average_review_score . " + " .
                    $software->softwares_statistic->screenshots . " + " . $software->softwares_statistic->codegouv_label;
            echo " )&nbsp;/&nbsp;28 = " . $total . "&nbsp;/&nbsp;28 = ";        
            ?>
            <span title="Ceci est le score du logiciel.">
                <?= $this->Score->prefix(["class" => "", "tag" => "span", "text" => ""])?>
                <?= $this->Score->note(isset($software->softwares_statistic->score) ? $software->softwares_statistic->score : null) ?>
                <?= $this->Score->suffix(["template"=>"suffix","class" => "score_percent", "tag" => "span", "text" => "%"])?>
            </span>
        </p>
    </div>
    <?php endif; ?>

    <?php
        /**
         * If no metrics in the data base
         */
    ?>

    <?php if (isset( $project) && empty( $project->raw_metrics_software)  ): ?>
    <h2>
                    <?= __d("ElementProject", "Metrics for ") ?> <?php echo $this->cell('SoftwareSummary', [$project->id])->render('../../Element/ProjectPage/softwareName') ?>

        <small>
            Score :
            <div class="score <?= $score_level ?>">
                            <?php if ( isset($project->softwares_statistic->score) ) : ?>
                                <?= round($project->softwares_statistic->score,0) ?>
                            <?php else : ?>
                                <?php echo __d("ElementProject","NA")?>
                            <?php endif;?>
            </div>
        </small>
    </h2>
</div>

<div class="col-xs-11 col-sm-11 col-md-11">
    <h3>
                    <?php echo __d("ElementProject","Componants of SourceMetric"); ?>
    </h3>
    <table class="table table-hover table-bordered">
        <tbody>
            <tr>
                <td>
                                        <?php echo __d("ElementProject", "project_age") ?>
                </td>
                <td>
                                        <?php echo __d("ElelementProject", "NA") ?>
                </td>
            </tr>
            <tr>
                <td>
                    <?php echo __d("ElementProject", "last_commit_age") ?>
                </td>
                <td>
                    <?php echo __d("ElelementProject", "NA") ?>
                </td>
            </tr>

            <tr>
                <td>
                    <?php echo __d("ElementProject", "high_committer_percent") ?>
                </td>
                <td>
                    <?php echo __d("ElelementProject", "NA") ?>
                </td>
            </tr>

            <tr>
                <td>
                    <?php echo __d("ElementProject", "number_of_contributors") ?>
                </td>
                <td>
                    <?php echo __d("ElelementProject", "NA") ?>
                </td>
            </tr>

            <tr>
                <td>
                    <?php echo __d("ElementProject", "delta_commit_one_month") ?>
                </td>
                <td>
                    <?php echo __d("ElelementProject", "NA") ?>
                </td>
            </tr>

            <tr>
                <td>
                    <?php echo __d("ElementProject", "delta_commit_twelve_month") ?>
                </td>
                <td>
                    <?php echo __d("ElelementProject", "NA") ?>
                </td>
            </tr>
        </tbody>
    </table>
</div>
<div class="col-xs-11 col-sm-11 col-md-11">
    <h3>
                    <?php echo __d("ElementProject","Componants of ComptoirMetric"); ?>
    </h3>
    <table class="table table-hover table-bordered">
        <tbody>

            <tr>
                <td>
                                        <?php echo __d("ElementProject", "declared_users") ?>
                </td>
                <td>
                                        <?php echo __d("ElelementProject", "NA") ?>
                </td>
            </tr>
            <tr>
                <td>
                                        <?php echo __d("ElementProject", "average_review_score") ?>
                </td>
                <td>
                                        <?php echo __d("ElelementProject", "NA") ?>
                </td>
            </tr>
            <tr>
                <td>
                                        <?php echo __d("ElementProject", "screenshots") ?>
                </td>
                <td>
                                        <?php echo __d("ElelementProject", "NA") ?>
                </td>
            </tr>
            <tr>
                <td>
                                        <?php echo __d("ElementProject", "code_gouv_label") ?>
                </td>
                <td>
                                        <?php echo __d("ElelementProject", "NA") ?>
                </td>
            </tr>
        </tbody>
    </table>
</div>
    <?php endif; ?>

<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
    <?=$this->Html->link(__d("ElementProject", "How to calculate the mark"), ['controller' => 'Project', 'action' => 'formula'], ['escape' => false]) ?>
</div>
</section>