<?php

/**
 * Contains the minimal structure for a software
 * Name
 * URL
 * Rating
 * Logo
 * Forge
 */
?>

<?php if (isset($project))  : ?>

<ul class="software-unit col-xs-6 col-sm-4 col-md-3 col-lg-2 backgroundUnit list-unstyled">
    <li>
        <h3 class="">
            <?php
            echo $this->Html->link( $this->Text->truncate($project->softwarename,12,['ellipsis' => '...','exact' => false]),
                                ['controller' => 'Project', 'action' => 'request' , '?' => ['id' => $project->id]],
                                ['escape' => false,"title"=>$project->softwarename, "class"=>"softTitle"]);
            ?>
        </h3>

        <div class="software-logo center-block">

            <?php if ( empty ($project->logo_directory) || empty($project->photo) ) : ?>
                <?= $this->Html->link( $this->Html->image( "logos/Softwarelogo_placeholder.jpg" ,
                                                    ["alt"=>$project->softwarename,"class"=>"size-logo "]),
                                ['controller' => 'Project', 'action' => 'request' , '?' => ['id' => $project->id]],
                                ['escape' => false] ) ?>
            <?php else : ?>
                <?= $this->Html->link(  $this->Html->image( COMPTOIR_SRV_URL.$project->logo_directory.DS.$project->photo ,
                                                   ["alt"=>$project->softwarename,"class"=>"img-responsive size-logo "]),
                                    ['controller' => 'Project', 'action' => 'request' ,'?' => ['id' => $project->id]],
                                    ['escape' => false] ) ?>
            <?php endif;?>
        </div>

        <p class="text-overflow project-description">
            <?= $this->Text->truncate($project->description,100,['ellipsis' => '...','exact' => false] ); ?>
        </p>
    </li>
</ul><!-- .software-unit -->
<?php endif;?>


