<?php
namespace App\View\Cell;

use Cake\View\Cell;
use Cake\Network\Http\Client;

/**
 * UserSummary cell
 */
class UserSummaryCell extends Cell
{

    /**
     * List of valid options that can be passed into this
     * cell's constructor.
     *
     * @var array
     */
    protected $_validCellOptions = [];

    /**
     * Default display method.
     *
     * @return void
     */
    public function display($id)
    {
       $user = $this->getUserById($id);
       $this->set('user',$user->user);
    }
    
    public function getName($id){
        
        
        $user = $this->getUserById($id);
        $this->set('userName',$user->username);
    }
    
    public function getUserById($id){
        try {
            $http = new Client();
            $response = $http->get(COMPTOIR_SRV_API."users/view/".$id,[],['type'=>'json']);
            $user = $response->body('json_decode');
        }catch (Exception $exception){
            $this->log(var_export($exception,true),"debug");
        }
        return $user;
    }
}
